### org.jfree.layouting

# Class AbstractLayoutProcess

- `java.lang.Object`
- - `org.jfree.layouting.AbstractLayoutProcess`

Implemented Interfaces:
  LayoutProcess

Known Direct Subclasses:
  DefaultLayoutProcess

`public abstract class AbstractLayoutProcess`
`extends java.lang.Object`
`implements LayoutProcess`

Creation-Date: 05.12.2005, 19:17:21

Author:
  Thomas Morgner

  ## Nested Class Summary

  `protected static class`

  `AbstractLayoutProcess.AbstractLayoutProcessState`

  ## Constructor Summary

  `AbstractLayoutProcess(OutputProcessor outputProcessor)`

  ## Method Summary

  `protected abstract InputFeed`

  `createInputFeed()`

  `DocumentContext`

  `getDocumentContext()`
    The document context holds global information, like the used stylesheets.

  `InputFeed`

  `getInputFeed()`

  `Normalizer`

  `getNormalizer()`

  `OutputProcessorMetaData`

  `getOutputMetaData()`

  `OutputProcessor`

  `getOutputProcessor()`

  `ResourceManager`

  `getResourceManager()`

  `StyleResolver`

  `getStyleResolver()`

  `boolean`

  `isPagebreakEncountered()`

  `void`

  `pageBreakEncountered(CSSValue pageName, PseudoPage[] pseudoPages)`

## Constructor Details

### AbstractLayoutProcess

    protected AbstractLayoutProcess(OutputProcessor outputProcessor)

## Method Details

### createInputFeed

    protected abstract InputFeed createInputFeed()

### getDocumentContext

    public DocumentContext getDocumentContext()

> The document context holds global information, like the used stylesheets. It also holds the caches for loading external contents.
> Specified by:
>   getDocumentContext in interface LayoutProcess
> Returns:
>   the document context.

### getInputFeed

    public InputFeed getInputFeed()

> Specified by:
>   getInputFeed in interface LayoutProcess

### getNormalizer

    public Normalizer getNormalizer()

> Specified by:
>   getNormalizer in interface LayoutProcess

### getOutputMetaData

    public OutputProcessorMetaData getOutputMetaData()

> Specified by:
>   getOutputMetaData in interface LayoutProcess

### getOutputProcessor

    public OutputProcessor getOutputProcessor()

> Specified by:
>   getOutputProcessor in interface LayoutProcess

### getResourceManager

    public ResourceManager getResourceManager()

> Specified by:
>   getResourceManager in interface LayoutProcess

### getStyleResolver

    public StyleResolver getStyleResolver()

> Specified by:
>   getStyleResolver in interface LayoutProcess

### isPagebreakEncountered

    public boolean isPagebreakEncountered()

> Specified by:
>   isPagebreakEncountered in interface LayoutProcess

### pageBreakEncountered

    public void pageBreakEncountered(CSSValue pageName,
                                     PseudoPage[] pseudoPages)
                throws NormalizationException

> Specified by:
>   pageBreakEncountered in interface LayoutProcess